## trunk?format=zip&rev=1508

=== SConstruct ===
import os
import sys
import distutils.sysconfig
import platform
import SCons

moduledir = distutils.sysconfig.get_python_lib()
if  platform.architecture()[0] == '64bit':
    # hack to install into /usr/lib64 if scons is in the 32bit /usr/lib/
    if moduledir.startswith("/usr/lib/"):
        moduledir = moduledir.replace("lib", "lib64")


EnsureSConsVersion(1,1,0)

opts = Variables("options.cfg")
opts.AddVariables(
                ("FORTRAN", "The fortran compiler", None),
                ("f2clib", "The fortran to c library", None),
                PathVariable("prefix",
	        "The root installation path",
                           distutils.sysconfig.PREFIX),
                PathVariable("moduledir",
                            "The python module path (site-packages))",
                            moduledir),
		PathVariable("casacoreroot", "The location of casacore",
				    "/usr/local"),
		("boostroot", "The root dir where boost is installed", None),
		("boostlib", "The name of the boost python library", 
		 "boost_python"),
		("boostlibdir", "The boost library location", None),
		("boostincdir", "The boost header file location", None),
		("lapackroot", 
		 "The root directory where lapack is installed", None),
		("lapacklibdir", "The lapack library location", None),
		("lapacklib",
		 "The lapack library name (e.g. for specialized AMD libraries",
		 "lapack"),
		("blasroot", 
		 "The root directory where blas is installed", None),
		("blaslibdir", "The blas library location", None),
		("blaslib",
		 "The blas library name (e.g. for specialized AMD libraries",
		 "blas"),
		("cfitsioroot", 
		 "The root directory where cfistio is installed", None),
		("cfitsiolibdir", "The cfitsio library location", None),
		("cfitsiolib", "The cfitsio library name", "cfitsio"),
		("cfitsioincdir", "The cfitsio include location", None),
		("wcsroot", 
		 "The root directory where wcs is installed", None),
		("wcslibdir", "The wcs library location", None),
		("rpfitslib", "The rpfits library name", "rpfits"),
		("rpfitsroot", 
		 "The root directory where rpfits is installed", None),
		("rpfitslibdir", "The rpfits library location", None),
#		("rpfitsincdir", "The rpfits include location", None),
                ("pyraproot", "The root directory where libpyrap is installed",
                 None),
                ("pyraplib", "The name of the pyrap library", "pyrap"),
                ("pyraplibdir", "The directory where libpyrap is installed",
                 None),
                ("pyrapincdir", "The pyrap include location",
                 None),
                BoolVariable("enable_pyrap", "Use pyrap conversion library", 
                             True),

                EnumVariable("mode", "The type of build.", "release",
                           ["release","debug"], ignorecase=1),
                ("makedist",
                 "Make a binary archive giving a suffix, e.g. sarge or fc5",
                 ""),
                EnumVariable("makedoc", "Build the userguide in specified format",
                           "none",
                           ["none", "pdf", "html"], ignorecase=1),
                BoolVariable("apps", "Build cpp apps", False),
                BoolVariable("alma", "Enable alma specific functionality", 
                             False),
                )

env = Environment( toolpath = ['./scons'],
                   tools = ["default", "archiver", "utils",
                            "quietinstall"],
                   ENV = { 'PATH' : os.environ[ 'PATH' ],
                          'HOME' : os.environ[ 'HOME' ] },
                   options = opts)

Help(opts.GenerateHelpText(env))
env.SConsignFile()

casacoretooldir = os.path.join(env["casacoreroot"],"share",
				   "casacore")
if not os.path.exists(casacoretooldir):
    print "Could not find casacore scons tools"
    Exit(1)

# load casacore specific build flags
env.Tool('casaoptions', [casacoretooldir])
env.AddCommonOptions(opts)
opts.Update(env)
env.Tool('casa', [casacoretooldir])

if not env.GetOption('clean'):
    conf = Configure(env)

    conf.env.AppendUnique(LIBPATH=os.path.join(conf.env["casacoreroot"], 
					       "lib"))
    conf.env.AppendUnique(CPPPATH=os.path.join(conf.env["casacoreroot"], 
					       "include", "casacore"))
    if not conf.CheckLib("casa_casa", language='c++'): Exit(1)
    conf.env.PrependUnique(LIBS=["casa_images", "casa_ms", "casa_components", 
                                 "casa_coordinates", "casa_lattices", 
                                 "casa_fits", "casa_measures", "casa_scimath",
                                 "casa_scimath_f", "casa_tables", 
                                 "casa_mirlib"])
    conf.env.Append(CPPPATH=[distutils.sysconfig.get_python_inc()])
    if not conf.CheckHeader("Python.h", language='c'):
        Exit(1)
    pylib = 'python'+distutils.sysconfig.get_python_version()
    if env['PLATFORM'] == "darwin":
        conf.env.Append(FRAMEWORKS=["Python"])
    else:
        if not conf.CheckLib(library=pylib, language='c'): Exit(1)

    conf.env.AddCustomPackage('boost')
    if not conf.CheckLibWithHeader(conf.env["boostlib"], 
                                   'boost/python.hpp', language='c++'): 
        Exit(1)

    conf.env.AddCustomPackage('pyrap')
    if  conf.env.get("enable_pyrap") and conf.CheckLib(conf.env["pyraplib"], 
                                                       language='c++', 
                                                       autoadd=0): 
        conf.env.Append(CPPFLAGS=['-DHAVE_PYRAP'])
        conf.env.PrependUnique(LIBS=env['pyraplib'])
    
    # test for cfitsio
    if not conf.CheckLib("m"): Exit(1)
    conf.env.AddCustomPackage('cfitsio')
    if not conf.CheckLibWithHeader(conf.env["cfitsiolib"], 
				   'fitsio.h', language='c'):
        Exit(1)
    conf.env.AddCustomPackage('wcs')
    if not conf.CheckLibWithHeader('wcs', 'wcslib/wcs.h', language='c'):
        Exit(1)
    conf.env.AddCustomPackage('rpfits')
    if not conf.CheckLib(conf.env["rpfitslib"], language="c"):
	Exit(1)

    # test for blas/lapack
    conf.env.AddCustomPackage("lapack")
    if not conf.CheckLib(conf.env["lapacklib"]): Exit(1)
    blasname = conf.env.get("blaslib", "blas")
    conf.env.AddCustomPackage("blas")
    if not conf.CheckLib(conf.env["blaslib"]): Exit(1)
    conf.env.CheckFortran(conf)
    if not conf.CheckLib('stdc++', language='c++'): Exit(1)
    if conf.env["alma"]:
        conf.env.Append(CPPFLAGS=['-DUSE_ALMA'])
    env = conf.Finish()

env["version"] = "2.2.x"

if env['mode'] == 'release':
    if env["PLATFORM"] != "darwin":
	env.Append(LINKFLAGS=['-Wl,-O1', '-s'])
    env.Append(CCFLAGS=["-O2"])
else:
    env.Append(CCFLAGS=["-g", "-Wall"])

# Export for SConscript files
Export("env")

# build externals
env.SConscript("external/SConscript")
# build library
so = env.SConscript("src/SConscript", build_dir="build", duplicate=0)
# test module import, to see if there are unresolved symbols
def test_module(target,source,env):
    pth = str(target[0])
    mod = os.path.splitext(pth)[0]
    sys.path.insert(2, os.path.split(mod)[0])
    __import__(os.path.split(mod)[1])
    print "ok"
    return 0
def test_str(target, source, env):
    return "Testing module..."

taction = Action(test_module, test_str)
env.AddPostAction(so, taction)

# install targets
somod = env.Install("$moduledir/asap", so )
pymods = env.Install("$moduledir/asap", env.SGlob("python/*.py"))
bins = env.Install("$prefix/bin", ["bin/asap", "bin/asap_update_data"])
shares = env.Install("$moduledir/asap/data", "share/ipythonrc-asap")
shares = env.Install("$moduledir/asap/data", "share/ipy_user_conf.py")
env.Alias('install', [somod, pymods, bins, shares])

# install aips++ data repos
rootdir=None
outdir =  os.path.join(env["moduledir"],'asap','data')
sources = ['ephemerides','geodetic']
if os.path.exists("/nfs/aips++/data"):
    rootdir = "/nfs/aips++/data"
elif os.path.exists("data"):
    rootdir = "./data"
if rootdir is not None:
    ofiles, ifiles = env.WalkDirTree(outdir, rootdir, sources)
    data =  env.InstallAs(ofiles, ifiles)
    env.Alias('install', data)

# make binary distribution
if len(env["makedist"]):
    env["stagedir"] = "asap-%s-%s" % (env["version"], env["makedist"])
    env.Command('Staging distribution for archive in %s' % env["stagedir"],
                '', env.MessageAction)
    st0 = env.QInstall("$stagedir/asap", [so,  env.SGlob("python/*.py")] )
    env.QInstall("$stagedir/bin", ["bin/asap", "bin/asap_update_data"])
    env.QInstall("$stagedir", ["bin/install"])
    env.QInstall("$stagedir/asap/data", "share/ipythonrc-asap")
    if rootdir is not None:
        # This creates a directory Using data table... - disabled
        #env.Command("Using data tables in %s" % rootdir,
        #           '', env.MessageAction)
        outdir =  os.path.join(env["stagedir"],'asap','data')
        ofiles, ifiles = env.WalkDirTree(outdir, rootdir, sources)
        env.QInstallAs(ofiles, ifiles)
    else:
        env.Command("No data tables available. Use 'asap_update_data' after install",
                    '', env.MessageAction)
    arch = env.Archiver(os.path.join("dist",env["stagedir"]),
                        env["stagedir"])
    env.AddPostAction(arch, Delete("$stagedir"))
if env["makedoc"].lower() != "none":
    env.SConscript("doc/SConscript")

if env["apps"]:
    env.SConscript("apps/SConscript")

if env.GetOption("clean"):
    Execute(Delete(".sconf_temp"))

=== server/fedora/Makefile ===
# Makefile for building scripts.mit.edu Fedora packages
# Copyright (C) 2006  Jeff Arnold <jbarnold@mit.edu>
#                and  Joe Presbrey <presbrey@mit.edu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#
# See /COPYRIGHT in this repository for more information.

upstream_yum	= krb5 krb5.i586 httpd openssh shadow-utils
upstream	= openafs $(upstream_yum) moira cluster-glue heartbeat pacemaker
oursrc		= execsys tokensys accountadm httpdmods logview sql-signup nss_nonlocal nss_nonlocal.i586 whoisd mit-zephyr athrun php_scripts scripts-wizard scripts-base
allsrc		= $(upstream) $(oursrc)
oursrcdir	= ${PWD}/../common/oursrc
patches		= ${PWD}/../common/patches
specs		= ${PWD}/specs

topdir		= ${HOME}/rpmbuild
tmp_build	= $(topdir)/BUILD
tmp_specs	= $(topdir)/SPECS
tmp_src		= $(topdir)/SOURCES
out_rpms	= $(topdir)/RPMS
out_srpms	= $(topdir)/SRPMS
out_sbin	= $(topdir)/sbin

dload		= ${PWD}/.dload
server_url	= "http://web.mit.edu/scripts/src"
server_arch	= "fedora.stable"
openafs_url	= "http://dl.openafs.org/dl/openafs/1.4.11/openafs-1.4.11-1.1.1.src.rpm"
clusterglue_url	= "http://kojipkgs.fedoraproject.org/packages/cluster-glue/1.0/0.11.b79635605337.hg.fc12/src/cluster-glue-1.0-0.11.b79635605337.hg.fc12.src.rpm"
heartbeat_url	= "http://kojipkgs.fedoraproject.org/packages/heartbeat/3.0.0/0.5.0daab7da36a8.hg.fc12/src/heartbeat-3.0.0-0.5.0daab7da36a8.hg.fc12.src.rpm"
pacemaker_url	= "http://kojipkgs.fedoraproject.org/packages/pacemaker/1.0.5/5.fc12/src/pacemaker-1.0.5-5.fc12.src.rpm"

PKG		= $(patsubst %.i586,%,$@)

.PHONY: minimal-clean

info:
	@echo "The following packages are available:"; \
	echo "$(allsrc)"; \
	echo "Run 'make all' to build all packages."

minimal-clean:
	rm -rf $(topdir) $(dload)

clean: minimal-clean
	rm -rf $(out_rpms) $(out_srpms) $(out_sbin)

mkdir-tree:
	@rpmdev-setuptree
	mkdir -p $(out_sbin)
	ln -sTf $(topdir) rpmbuild

download: download_stamp
download_stamp: | SRPMS/mit-zephyr-2.1-6.src.rpm
	@mkdir -p $(dload); \
	#wget -qO- -nv $(server_url)/$(server_arch) | xargs make
	cd $(dload) && yumdownloader --disablerepo=scripts --source $(upstream_yum)
	wget -P $(dload) $(openafs_url)
	wget -P $(dload) $(clusterglue_url)
	wget -P $(dload) $(heartbeat_url)
	wget -P $(dload) $(pacemaker_url)
	cd $(tmp_src) && wget -nd -r -l1 -np -A.orig.tar.gz http://debathena.mit.edu/apt/pool/debathena/d/debathena-moira/
	touch download_stamp

%.src.rpm:
	wget -q -nv -N -B $(server_url) -nd -nH -P $(dload) $(server_url)/$*.src.rpm

copy-patches: mkdir-tree
	@cp $(patches)/*.patch $(tmp_src); \
	cd $(tmp_src);

install-srpms: mkdir-tree download
	rpm $(rpm_args) -i $(dload)/*.src.rpm 2>/dev/null;

copy-specs: mkdir-tree
	cp ${specs}/*.spec $(tmp_specs)

patch-specs: install-srpms
	@cd ${tmp_specs}; \
	list=`ls ${specs}/*.spec.patch`; \
	for i in $$list; do \
		patch < $$i; \
	done; \
	list2=`svn ls ${oursrcdir}`; \
	for i in $$list2; do \
		base=`basename $$i`; \
		version=`svnversion ${oursrcdir}/$$i`; \
		version=$${version//:/_}; \
		echo "$$i version $$version"; \
		sed --in-place \
			-e "s/SVNVERSION_TO_UPDATE/$${version}/" \
		${tmp_specs}/$$base.spec; \
	done;

# 1. use the package's Makefile to delete leftover files and run autoconf
# 2. create a tarball (we want it to contain the autoconf output)
tarballs: mkdir-tree
	@cd ${oursrcdir}; \
	list=`find -mindepth 1 -maxdepth 1 -type d | grep -v ".svn"`; \
	for i in $$list; do \
		pushd $$i; \
		if [ -x ./mrproper ]; then \
			./mrproper; \
			autoconf; \
		fi; \
		popd; \
		tar -czf $(tmp_src)/$$i.tar.gz $$i; \
	done;

#setup: install-srpms copy-patches copy-specs patch-specs tarballs
setup: copy-patches copy-specs patch-specs tarballs

oursrc:
	make $(oursrc)

upstream: mkdir-tree download
	make $(upstream)

all:
	make $(allsrc)

$(oursrc): rpmbuild_args += --define 'scriptsversion $(shell svnversion ${oursrcdir}/$** | tr ':' '_')'

$(filter %.i586,$(oursrc)): %.i586: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc11-i386 --arch=i586 ${rpmbuild_args} --define="_lib lib" -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(filter-out %.i586,$(oursrc)): %: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc11-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(upstream) openafs-kernel: rpmbuild_args += --define 'scriptsversion $(shell svnversion ${patches} | tr ':' '_')'

$(filter %.i586,$(upstream)): %.i586: setup patch-specs
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc11-i386 --arch=i586 ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

$(filter-out %.i586,$(upstream)): %: setup patch-specs
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/${PKG}.spec
	/usr/bin/mock -r scripts-fc11-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/${PKG}-[0-9]*.src.rpm | head -1`

openafs-kernel: setup
	PATH="/usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin" \
	rpmbuild ${rpmbuild_args} -bs ${tmp_specs}/openafs*.spec
	/usr/bin/mock -r scripts-fc11-`uname -m` ${rpmbuild_args} -v --rebuild `ls -t ${out_srpms}/openafs*.src.rpm | head -1`

#sort -n sorts "2.6.25-1" later than "2.6.25.1-1", so it's Wrong
#kernvers = $(shell rpm -q --qf "%{Version}-%{Release}\n" --whatprovides kernel | sort -n | tail -n1)
kernvers = $(shell uname -r | sed "s/\(.*\)[.].*/\1/")
kvariants = ''
openafs_rpmbuild_args = --define "fedorakmod 1" --define "kvariants $(kvariants)" --define "kernvers $(kernvers)"
openafs: rpmbuild_args += $(openafs_rpmbuild_args)
openafs-kernel: rpmbuild_args += $(openafs_rpmbuild_args) --define "build_userspace 0" --define "build_modules 1"

suexec: #install-srpms
	@rm -rf ${tmp_src}/httpd-2*/; \
	tar zxvf ${tmp_src}/httpd-2*.tar.gz; \
	cd httpd-2*; \
	patch -p1 < ${patches}/httpd-suexec-scripts.patch; \
	autoreconf; \
	./configure --prefix=/etc/httpd --with-suexec-userdir=web_scripts --with-suexec-caller=apache --with-suexec-uidmin=50 --with-suexec-gidmin=50 --with-suexec-docroot=/ --with-suexec-trusteddir=/usr/libexec/scripts-trusted; \
	pushd support; \
	mkdir -p ${out_sbin}; make suexec && cp suexec ${out_sbin}; \
	popd; \
	rm -rf httpd-2*; \
	echo; \
	echo "suexec binary written to ${out_sbin}."; \
	echo "Run 'make install-suexec' as root to install it.";

install-suexec:
	install -m 4510 -o 0 -g apache ${out_sbin}/suexec /usr/sbin/;

frob-openafs:
	@if [ ! -d "/etc/openafs/" ]; then \
	echo "/etc/openafs does not exist"; \
	exit 1; \
	else \
	ln -nfs /etc/openafs/* /usr/vice/etc/; \
	fi

# The following packages are needed for our packages
basic-deps	= kernel-devel rpm-build rpmdevtools mock gcc autoconf patch krb5-workstation glibc-devel.i586 glibc-devel libtool libgcc.i586
oursrc-deps	= hesinfo openldap-clients openldap-devel.i586 php-devel
httpdmods-deps	= httpd-devel
httpd-deps	= xmlto db4-devel expat-devel zlib-devel libselinux-devel apr-devel apr-util-devel pcre-devel openssl-devel distcache-devel
krb5-deps	= bison ncurses-devel texinfo keyutils-libs-devel texinfo-tex texlive-latex
openafs-deps	= pam-devel automake
mit-zephyr-deps	= readline-devel hesiod-devel hesiod-devel.i586 hesiod.i586 libXt.i586 #compat-readline43
openssh-deps	= gtk2-devel libX11-devel autoconf automake openssl-devel perl zlib-devel audit-libs-devel util-linux groff man pam-devel tcp_wrappers-devel krb5-devel libselinux-devel audit-libs xauth pango-devel cairo-devel libedit-devel nss-devel fipscheck-devel
php-deps	= bzip2-devel curl-devel gmp-devel libstdc++-devel sqlite-devel gcc-c++ libc-client-devel mysql-devel postgresql-devel unixODBC-devel libxml2-devel net-snmp-devel libxslt-devel libxml2-devel libXpm-devel libjpeg-devel t1lib-devel libmcrypt-devel mhash-devel libtidy-devel freetds-devel aspell-devel recode-devel
install-deps:
	yum -y install $(basic-deps) $(oursrc-deps) $(httpdmods-deps) $(httpd-deps) $(krb5-deps) $(openafs-deps) $(mit-zephyr-deps) $(openssh-deps) $(php-deps)
	rpm -ivh http://kojipkgs.fedoraproject.org/packages/compat-readline43/4.3/3/i386/compat-readline43-4.3-3.i386.rpm
#	rpm -ivh http://download.fedora.redhat.com/pub/fedora/linux/core/6/i386/os/Fedora/RPMS/compat-readline43-4.3-3.i386.rpm

fedora:
	make install-deps
	make upstream
	rpm -ivh $(out_rpms)/`uname -m`/openafs-devel*.rpm
	make oursrc

=== packages/invirt-base/debian/changelog ===
invirt-base (0.0.4) unstable; urgency=low

  * We don't have any more sipb-xen- packages, so punt that from the
    invirt-reload script

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:52:55 -0400

invirt-base (0.0.3) unstable; urgency=low

  * Use invoke-rc.d instead of calling init scripts directly

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:30:40 -0400

invirt-base (0.0.2) unstable; urgency=low

  * eliminate choice of source and cache files for invirt.config.load and
    invirt-getconf, so we can do what follows
  * look in /etc/invirt/conf.d/ as well as /etc/invirt/master.yaml
  * use run-parts semantics in /etc/invirt/conf.d/

 -- Greg Price <price@mit.edu>  Wed, 29 Oct 2008 00:10:36 -0400

invirt-base (0.0.1) unstable; urgency=low

  * sipb-xen-base -> invirt-base
  * use /invirt for apt URI rather than /sipb-xen

 -- Greg Price <price@mit.edu>  Sun, 25 Oct 2008 00:54:09 -0400

sipb-xen-base (8.29) unstable; urgency=low

  * gen-files.sh: degrade gracefully to plain-old sh

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 20:06:54 -0400

sipb-xen-base (8.28) unstable; urgency=low

  * Factor out more common initscript code:
    std-init.sh replaces the usual Debian boilerplate

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:33:08 -0400

sipb-xen-base (8.27) unstable; urgency=low

  * Use invoke-rc.d in invirt-reload so that policy-rc.d is respected

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:19:49 -0400

sipb-xen-base (8.26) unstable; urgency=low

  * Move invirt-reload to /usr/sbin

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 12:53:18 -0400

sipb-xen-base (8.25) unstable; urgency=low

  * Factor out common initscript code, provide it here

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:06:59 -0400

sipb-xen-base (8.24) unstable; urgency=low

  * Switch to using a setup.py file with CDBS's Python support

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 05:22:49 -0400

sipb-xen-base (8.23) unstable; urgency=low

  * Now that we're using Python 2.5, we can actually write with statements

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 03:32:00 -0400

sipb-xen-base (8.22) unstable; urgency=low

  * Please - anything but etch. Anything!

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:50:30 -0400

sipb-xen-base (8.21) unstable; urgency=low

  * update sources.list.d/sipb-xen.list for prod and hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:06:52 -0400

sipb-xen-base (8.20) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:51:11 -0400

sipb-xen-base (8.19) hardy; urgency=low

  * depend on invirt-config, which is provided by xvm-devconfig
    and xvm-prodconfig.

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:54 +0000

sipb-xen-base (8.18) unstable; urgency=low

  * Use production k5login
  * Include openafs component

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:37:01 -0400

sipb-xen-base (8.17) unstable; urgency=low

  * removed the `mako` program since python-mako already includes a
    mako-render

 -- Yang Zhang <y_z@mit.edu>  Wed, 13 Aug 2008 01:45:26 -0400

sipb-xen-base (8.16) unstable; urgency=low

  * added `mako` program for processing templates in invirt packages

 -- Yang Zhang <y_z@mit.edu>  Tue, 12 Aug 2008 16:00:43 -0400

sipb-xen-base (8.15) unstable; urgency=low

  * put invirt-getconf in /usr/bin

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 21:58:36 -0400

sipb-xen-base (8.14) unstable; urgency=low

  * using correct default paths in invirt-getconf
  * fixed os.rename import bug

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:29:56 -0400

sipb-xen-base (8.13) unstable; urgency=low

  * fix an error message

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 23:04:07 -0400

sipb-xen-base (8.12) unstable; urgency=low

  [ Greg Price ]
  * add --ls and some convenience features to invirt-getconf:
    formatting composite nodes as yaml, allowing the root
  * fix bug in late-import of yaml in invirt.config
  * use yaml.CSafeDumper and yaml.CSafeLoader everywhere
  
  [ Yang Zhang ]
  * added shared lock around cache-reading transaction

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 22:11:15 -0400

sipb-xen-base (8.11) unstable; urgency=low

  * sped up invirt.config module load time by rearranging imports
  * no longer removing the lock file

 -- Yang Zhang <y_z@mit.edu>  Wed, 30 Jul 2008 21:55:23 -0400

sipb-xen-base (8.10) unstable; urgency=low

  * added file locking around cache

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 22:35:25 -0400

sipb-xen-base (8.9) unstable; urgency=low

  * moved more generic code into `common` package
  * silently fail if cache fails
  * load the configuration on module load
  * produce a struct-based representation of the configuration
  * allowing full exception messages for OSErrors (default behavior)
  * added some dependencies specs

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 01:03:16 -0400

sipb-xen-base (8.8) unstable; urgency=low

  * added timestamp-based JSON caching of configuration for faster loading
  * exposed (more) options to command-line frontend
  * improved error messages/handling/help
  * removed all python 2.5-isms
  * reformatted to fit project style conventions

 -- Yang Zhang <y_z@mit.edu>  Mon, 28 Jul 2008 12:25:03 -0400

sipb-xen-base (8.7) unstable; urgency=low

  * back to 2.4 compatibility

 -- Greg Price <price@mit.edu>  Mon, 28 Jul 2008 07:44:27 -0400

sipb-xen-base (8.6) unstable; urgency=low

  * switching to python 2.5 only
  * added y_z to .k5login

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 20:23:54 -0400

sipb-xen-base (8.5) unstable; urgency=low

  * using python 2.5
  * initial working version of invirt-getconf that reads & navigates YAML

 -- Yang Zhang <y_z@linerva.mit.edu>  Sun, 27 Jul 2008 20:12:28 -0400

sipb-xen-base (8.4) unstable; urgency=low

  [ Greg Price ]
  * begin a Python package 'invirt'

  [ Yang Zhang ]


=== packages/invirt-dev/debian/changelog ===
invirt-dev (0.0.4) unstable; urgency=low

  * Get the svn repo from the config file, instead of /srv/checkout

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:11:59 -0400

invirt-dev (0.0.3) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:25 -0400

invirt-dev (0.0.2) unstable; urgency=low

  * document need to add users to sbuild group

 -- Greg Price <price@mit.edu>  Sun, 26 Oct 2008 00:03:03 -0400

invirt-dev (0.0.1) unstable; urgency=low

  * sipb-xen-dev -> invirt-dev
  * sx-build-release -> invirt-build-release

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:23:26 -0400

sipb-xen-dev (26.2) unstable; urgency=low

  * remove vacuous README files
  * remove sipb-xen-repository Apache config file,
    which has been in sipb-xen-www, now invirt-web, since May

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:48:33 -0400

sipb-xen-dev (26.1) unstable; urgency=low

  * Fix a typo where the source package didn't get uploaded

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 22:03:40 -0400

sipb-xen-dev (26) unstable; urgency=low

  * Update sx-build-release and reprepro-env to work with sbuild instead
    of dpkg-buildpackage

 -- Evan Broder <broder@mit.edu>  Thu, 23 Oct 2008 21:56:17 -0400

sipb-xen-dev (25) unstable; urgency=low

  * Don't sign packages when they're built

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 00:25:52 -0400

sipb-xen-dev (24) unstable; urgency=low

  * depend on quilt, patchutils, config-package-dev

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:00:40 -0400

sipb-xen-dev (23) unstable; urgency=low

  * in postinst, create user repository and group repo
    and add /etc/sudoers line

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:06:04 -0400

sipb-xen-dev (22) unstable; urgency=low

  [ Sam Hartman ]
  * Do not include a key id for dpkg-buildpackage per discussion on class xvm

  [ Greg Price ]
  * depend on equivs

 -- Greg Price <price@mit.edu>  Sun, 24 Aug 2008 15:58:14 -0400

sipb-xen-dev (21) unstable; urgency=low

  * Depend on sipb-xen-base
  * don't require packages be signed on upload

 --  Sam Hartman <hartmans@xvm.mit.edu>  Tue,  5 Aug 2008 21:23:44 +0000

sipb-xen-dev (20) unstable; urgency=low

  * dumb bugfix in init script

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:11:04 -0400

sipb-xen-dev (19) unstable; urgency=low

  * use CDBS, which doesn't forget dh_installinit like I did

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:02:41 -0400

sipb-xen-dev (18) unstable; urgency=low

  * sign the packages, getting keyid from invirt.config

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400

sipb-xen-dev (17) unstable; urgency=low

  * use reprepro more correctly (and include in both stable and unstable)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:47:55 -0400

sipb-xen-dev (16) unstable; urgency=low

  * usage as "sx-build-release <package-name>", no "trunk/packages"
  * clobber the build-release/<package-name> directory automatically

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:12:03 -0400

sipb-xen-dev (15) unstable; urgency=low

  * Stop requiring the current directory to be in the checkout.
  * Don't do unnecessary write operations
    (hence prompt less often for a password.)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 22:45:42 -0400

sipb-xen-dev (14) unstable; urgency=low

  * Use the shallower directory structure.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 17:25:20 -0400

sipb-xen-dev (13) unstable; urgency=low

  * Update the svn uri automatically.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 21:38:37 -0400

sipb-xen-dev (12) unstable; urgency=low

  * Update the svn uri to point to the new repository

 -- Nelson Elhage <nelhage@mit.edu>  Wed, 15 Aug 2007 22:58:49 -0400

sipb-xen-dev (11) unstable; urgency=low

  * Use svn export not co to avoid installing .svn directories

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:15:58 -0400

sipb-xen-dev (10) unstable; urgency=low

  * Use svn export not svn co so we don't get .svn directories installed

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:14:51 -0400

sipb-xen-dev (9) unstable; urgency=low

  * Add /debian to apache config

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:54:43 -0400

sipb-xen-dev (8) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:29:54 -0400

sipb-xen-dev (7) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:27:59 -0400

sipb-xen-dev (6) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:26:17 -0400

sipb-xen-dev (5) unstable; urgency=low

  * Bug fix

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:25:00 -0400

sipb-xen-dev (4) unstable; urgency=low

  * Blah

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:21:28 -0400

sipb-xen-dev (3) unstable; urgency=low

  * Working sx-build-release
  

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 16:58:46 -0400

sipb-xen-dev (2) unstable; urgency=low

  * Add sipb-xen-repository apache config

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 14:04:03 -0400

sipb-xen-dev (1) unstable; urgency=low

  * Add repository config
  * update dependencies

 --  Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 13:43:08 -0400

sipb-xen-dev (0) unstable; urgency=low

  * Initial Release.

 -- unknown <hartmans@debian.org>  Fri,  6 Jul 2007 00:52:28 -0400

=== packages/invirt-host-master/debian/changelog ===
invirt-host-master (0.0.7) unstable; urgency=low

  * sipb-xen-autoinstaller-host -> invirt-autoinstaller-host

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:51:53 -0400

invirt-host-master (0.0.6) unstable; urgency=low

  * sipb-xen-dhcp -> invirt-dhcp
  * sipb-xen-vnc-server -> invirt-vnc-server

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 12:45:15 -0400

invirt-host-master (0.0.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:28 -0400

invirt-host-master (0.0.4) unstable; urgency=low

  * Add invirt-images to dependencies

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:08:57 -0400

invirt-host-master (0.0.3) unstable; urgency=low

  * sipb-xen-autoinstaller-host has a different name from its
    source package sipb-xen-autoinstaller

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:53:26 -0400

invirt-host-master (0.0.2) unstable; urgency=low

  * remove bitrotten sipb-xen-clvm-config

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 23:45:28 -0400

invirt-host-master (0.0.1) unstable; urgency=low

  * First version as a real package rather than equivs.
  * Rename from sipb-xen-host-master.

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 21:05:16 -0400

=== packages/invirt-remote-server/debian/changelog ===
invirt-remote-server (0.0.11) unstable; urgency=low

  * Don't proxy requests for the VNC cert if the requested hostname isn't
    an Invirt host

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:17:10 -0400

invirt-remote-server (0.0.10) unstable; urgency=low

  * All remctls of type 'web' have the same ACL - glob them together

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:05:42 -0400

invirt-remote-server (0.0.9) unstable; urgency=low

  * Add support for a `web vnccert` remctl call

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 22:45:29 -0400

invirt-remote-server (0.0.8) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:32 -0400

invirt-remote-server (0.0.7) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:03:13 -0400

invirt-remote-server (0.0.6) unstable; urgency=low

  * Remove dependency on sipb-xen-chrony-config - we need to take care of
    the clock, but chrony isn't the right answer

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:16:08 -0400

invirt-remote-server (0.0.5) unstable; urgency=low

  * Rename a remaining sipb-xen file to invirt

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 22:21:30 -0400

invirt-remote-server (0.0.4) unstable; urgency=low

  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:49:45 -0400

invirt-remote-server (0.0.3) unstable; urgency=low

  * Standardize on "Invirt project"

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:33:25 -0400

invirt-remote-server (0.0.2) unstable; urgency=low

  * oops, update control from control.in
  * configurize web acl

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 00:28:08 -0400

invirt-remote-server (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt

 -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:58:36 -0400

sipb-xen-remote-server (0.10.2) unstable; urgency=low

  * There's a race condition for if the VM gets powered off between the
    listvms and the actual request. Solve the problem correctly by using a
    non-conflicting error code to indicate an invalid command

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:46:38 -0400

sipb-xen-remote-server (0.10.1) unstable; urgency=low

  * Make both list-host and listhost valid commands, and for parity with
    list-long, document list-host

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:36:32 -0400

sipb-xen-remote-server (0.10) unstable; urgency=low

  * If a command is invalid, but the machine's on, give an actually useful
    error message

 -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:29:50 -0400

sipb-xen-remote-server (0.9.2) unstable; urgency=low

  * Expose an interface to the autoinstaller over remctl
  * Validate options to be passed to the autoinstaller on the remctl
    server

 -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:06:00 -0400

sipb-xen-remote-server (0.9.1) unstable; urgency=low

  * Fix a bug in the database handling code

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 18:42:48 -0400

sipb-xen-remote-server (0.9) unstable; urgency=low

  [Evan Broder]
  * Make the acl/ subdir of RemConfFS listable
  
  [Greg Price]
  * Update RemConfFS for new SQLAlchemy code

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:28:23 -0400

sipb-xen-remote-server (0.8) unstable; urgency=low

  * Use RouteFS for RemConfFS

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 02:21:00 -0400

sipb-xen-remote-server (0.7) unstable; urgency=low

  * depend on sipb-xen-base

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 20:47:05 -0400

sipb-xen-remote-server (0.6) unstable; urgency=low

  * sipb_xen_database -> invirt.config

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:54:59 -0400

sipb-xen-remote-server (0.5) unstable; urgency=low

  * use invirt config in sipb-xen-remconffs, sipb-xen-remctl-help,
    sipb-xen-remote-proxy

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:32:59 -0400

sipb-xen-remote-server (0.4) unstable; urgency=low

  * use invirt.config to get hostnames
  * refactoring: extracted bcast() function into invirt.remote package

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:34:50 -0400

sipb-xen-remote-server (0.3) unstable; urgency=low

  * Fill in all the code to make the package work (mostly weeks ago.)
  * sipb-xen-remote-listvms aggregates listvms across hosts (with
    y_z, broder, andersk)
  * sipb-xen-remctl-help gives help
  * sipb-xen-remote-control proxies to where a machine is running
  * sipb-xen-remote-create chooses where to boot by load-balancing

 -- Greg Price <price@mit.edu>  Thu, 24 Jul 2008 21:34:20 -0400

sipb-xen-remote-server (0.2) unstable; urgency=low

  * FUSE filesystem for remctl configuration.
  * Remove *register calls, since the FUSE keeps things up to date.
  * An init script to keep the FUSE fs up.

 -- Greg Price <price@mit.edu>  Sat, 10 May 2008 22:04:32 -0400

sipb-xen-remote-server (0.1) unstable; urgency=low

  * First draft.

 -- Greg Price <price@mit.edu>  Sun, 30 Mar 2008 01:08:50 -0400

=== packages/invirt-vnc-client/debian/changelog ===
invirt-vnc-client (0.0.6) unstable; urgency=low

  * Isolate our patches from the upstream source
  * Fix the dependencies for invirt-update-vnc-cert
  * Add an init script to refresh the VNC trust store

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:19:59 -0400

invirt-vnc-client (0.0.5) unstable; urgency=low

  * Small typo fixes in invirt-update-vnc-cert

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 00:07:55 -0400

invirt-vnc-client (0.0.4) unstable; urgency=low

  * Get certificates from remctl, instead of from the filesystems

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 23:55:43 -0400

invirt-vnc-client (0.0.3) unstable; urgency=low

  * Fix some shell script errors thanks to the globs

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:44:45 -0400

invirt-vnc-client (0.0.2) unstable; urgency=low

  * DEBHELPER FAIL - I wanted invirt-update-vnc-cert.sh installed as
    /usr/sbin/invirt-update-vnc-cert, not /in/
    /usr/sbin/invirt-update-vnc-cert/

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:32:08 -0400

invirt-vnc-client (0.0.1) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client
  * SIPBTrustManager -> InvirtTrustManager
  * Add a script to regenerate the client's certificate store

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:14:15 -0400

sipb-xen-vnc-client (1.03) unstable; urgency=low

  * Get rid of svn checkout in package

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 15:35:44 -0400

sipb-xen-vnc-client (1.02) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:49:08 -0400

sipb-xen-vnc-client (1.01) hardy; urgency=low

  * depend on java-compiler (a virtual package) rather than sun-java5-jdk

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:21:50 +0000

sipb-xen-vnc-client (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 23:02:26 -0500

=== packages/xvm-prodconfig/debian/changelog ===
xvm-prodconfig (0.20) unstable; urgency=low

  * Take advantage of multi-word zonefile entries by adding explanations
    for our reservations

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:06:52 -0400

xvm-prodconfig (0.19.2) unstable; urgency=low

  * Zone files use semicolons for comments, not hashes

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:16:08 -0400

xvm-prodconfig (0.19.1) unstable; urgency=low

  * Forgot to actually install the zone file

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:10:16 -0400

xvm-prodconfig (0.19) unstable; urgency=low

  * Rearrange package to not have useless files/ tree
  * Add a default zone file with overrides of names we don't want people
    taking

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 01:48:45 -0400

xvm-prodconfig (0.18) unstable; urgency=low

  * Punt sysvm configs - they're in invirt-xen-config now

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:45:11 -0400

xvm-prodconfig (0.17.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:44 -0400

xvm-prodconfig (0.17.4) unstable; urgency=low

  * xvm-2 -> xvm-dev

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:26:14 -0400

xvm-prodconfig (0.17.3) unstable; urgency=low

  * New database name/auth info thanks to sipb-xen-database-server
    changing to invirt-database-server

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:05:41 -0400

xvm-prodconfig (0.17.2) unstable; urgency=low

  * name the web admin ACL more descriptively as system:xvm-webacl

 -- Greg Price <price@mit.edu>  Tue, 21 Oct 2008 23:33:42 -0400

xvm-prodconfig (0.17.1) unstable; urgency=low

  * Oh yeah - their IP addresses changed to

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:46:36 -0400

xvm-prodconfig (0.17) unstable; urgency=low

  * Move the console and remote servers to more sensible names

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:41:01 -0400

xvm-prodconfig (0.16) unstable; urgency=low

  * Use system:xvm-maintainers as the admin ACL - it's xvm-root's null
    instances

 -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 12:17:40 -0400

xvm-prodconfig (0.15) unstable; urgency=low

  * Asterisk is a special character in YAML - quote it

 -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 22:32:24 -0400

xvm-prodconfig (0.14) unstable; urgency=low

  * Update DNS to expect queries from prod.xvm.mit.edu

 -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 22:13:05 -0400

xvm-prodconfig (0.13) unstable; urgency=low

  * use wildcard in web.errormail_exclude

 -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:34:06 -0700

xvm-prodconfig (0.12) unstable; urgency=low

  * Move the console server to archiver.mit.edu

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 01:51:28 -0400

xvm-prodconfig (0.11.1) unstable; urgency=low

  * Hmm...100003 apparently isn't a real port

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:37:49 -0400

xvm-prodconfig (0.11) unstable; urgency=low

  * Add a vnc section

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:16:29 -0400

xvm-prodconfig (0.10) unstable; urgency=low

  * Add dhcp section

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 19:53:00 -0400

xvm-prodconfig (0.9.2) unstable; urgency=low

  * Add the svn.uri for svn checkout packages

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:05:35 -0400

xvm-prodconfig (0.9.1) unstable; urgency=low

  * Update dns section to be less of a lie

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 18:55:26 -0400

xvm-prodconfig (0.9) unstable; urgency=low

  * Add dns section, even though it's something of a lie

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 08:07:05 -0400

xvm-prodconfig (0.8) unstable; urgency=low

  * add console section

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:53:30 -0400

xvm-prodconfig (0.7) unstable; urgency=low

  * Replace citadel-station with shadow-moses and arklay-mansion as hosts
    while we get those two up

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:30:23 -0400

xvm-prodconfig (0.6) unstable; urgency=low

  * Add remote section

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 12:04:18 -0400

xvm-prodconfig (0.5) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:46:46 -0400

xvm-prodconfig (0.4) hardy; urgency=low

  * add web, svn, trac sections

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:03 +0000

xvm-prodconfig (0.3ubuntu1) hardy; urgency=low

  * Add some system-vm xen configs.

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 01:56:00 +0000

xvm-prodconfig (0.3) unstable; urgency=low

  * Include a copy of the apt key; currently not automatically installed.

 --  Sam Hartman <hartmans@xvm.mit.edu>  Sun, 24 Aug 2008 20:51:34 +0000

xvm-prodconfig (0.2) unstable; urgency=low

  * Fix script names

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:47:43 -0400

xvm-prodconfig (0.1) unstable; urgency=low

  * Initial prodconfig release

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:40:35 -0400

=== packages/invirt-database-server/debian/control ===
Source: invirt-database-server
Section: net
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs, debhelper (>= 5), config-package-dev, postgresql-8.3
Standards-Version: 3.8.0

Package: invirt-database-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.3, python-sqlalchemy, python-psycopg2, invirt-database, adduser, invirt-base
Description: Installs the Invirt database server
 This tracks all the user VMs and is accessed from the VM host
